openssh-server yum update fails dependancy check for audit-lib (1.0.12 vs 1.0.3-6.EL4)

Support for security such as Firewalls and securing linux
Post Reply
staffantj
Posts: 2
Joined: 2005/11/20 19:36:31
Contact:

openssh-server yum update fails dependancy check for audit-l

Post by staffantj » 2006/03/10 14:43:29

[freeway disktest]# yum -y --exclude=kernel* --enablerepo=* update
Setting up Update Process
Setting up repositories
Reading repository metadata in from local files
Excluding Packages in global exclude list
Finished

Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for kdegraphics to pack into transaction set.
kdegraphics-3.3.1-3.9.alp 100% |=========================| 86 kB 00:00
---> Package kdegraphics.alpha 7:3.3.1-3.9 set to be updated
---> Downloading header for kdegraphics-devel to pack into transaction set.
kdegraphics-devel-3.3.1-3 100% |=========================| 11 kB 00:00
---> Package kdegraphics-devel.alpha 7:3.3.1-3.9 set to be updated
---> Downloading header for python to pack into transaction set.
python-2.3.4-14.2.alpha.r 100% |=========================| 191 kB 00:01
---> Package python.alpha 0:2.3.4-14.2 set to be updated
---> Downloading header for openssh-server to pack into transaction set.
openssh-server-3.9p1-8.RH 100% |=========================| 29 kB 00:00
---> Package openssh-server.alpha 0:3.9p1-8.RHEL4.12 set to be updated
---> Downloading header for spamassassin to pack into transaction set.
spamassassin-3.0.5-3.el4. 100% |=========================| 31 kB 00:00
---> Package spamassassin.alpha 0:3.0.5-3.el4 set to be updated
---> Downloading header for python-docs to pack into transaction set.
python-docs-2.3.4-14.2.al 100% |=========================| 156 kB 00:01
---> Package python-docs.alpha 0:2.3.4-14.2 set to be updated
---> Downloading header for python-devel to pack into transaction set.
python-devel-2.3.4-14.2.a 100% |=========================| 60 kB 00:00
---> Package python-devel.alpha 0:2.3.4-14.2 set to be updated
---> Downloading header for mailman to pack into transaction set.
mailman-2.1.5.1-34.rhel4. 100% |=========================| 230 kB 00:01
---> Package mailman.alpha 3:2.1.5.1-34.rhel4.2 set to be updated
---> Downloading header for openssh-askpass-gnome to pack into transaction set.
openssh-askpass-gnome-3.9 100% |=========================| 26 kB 00:00
---> Package openssh-askpass-gnome.alpha 0:3.9p1-8.RHEL4.12 set to be updated
---> Downloading header for openssh-askpass to pack into transaction set.
openssh-askpass-3.9p1-8.R 100% |=========================| 27 kB 00:00
---> Package openssh-askpass.alpha 0:3.9p1-8.RHEL4.12 set to be updated
---> Downloading header for python-tools to pack into transaction set.
python-tools-2.3.4-14.2.a 100% |=========================| 56 kB 00:00
---> Package python-tools.alpha 0:2.3.4-14.2 set to be updated
---> Downloading header for squid to pack into transaction set.
squid-2.5.STABLE6-3.4E.12 100% |=========================| 126 kB 00:00
---> Package squid.alpha 7:2.5.STABLE6-3.4E.12 set to be updated
---> Downloading header for openssh-clients to pack into transaction set.
openssh-clients-3.9p1-8.R 100% |=========================| 28 kB 00:00
---> Package openssh-clients.alpha 0:3.9p1-8.RHEL4.12 set to be updated
---> Downloading header for tkinter to pack into transaction set.
tkinter-2.3.4-14.2.alpha. 100% |=========================| 21 kB 00:00
---> Package tkinter.alpha 0:2.3.4-14.2 set to be updated
---> Downloading header for openssh to pack into transaction set.
openssh-3.9p1-8.RHEL4.12. 100% |=========================| 29 kB 00:00
---> Package openssh.alpha 0:3.9p1-8.RHEL4.12 set to be updated
--> Running transaction check
--> Processing Dependency: audit-libs >= 1.0.12 for package: openssh-server
--> Finished Dependency Resolution
Error: Missing Dependency: audit-libs >= 1.0.12 is needed by package openssh-server
[freeway disktest]# yum whatprovides audit-libs
Searching Packages:
Setting up repositories
Reading repository metadata in from local files


audit-libs.alpha 1.0.3-6.EL4 base
Matched from:
audit-libs
Importing Additional filelist information for packages
filelists.xml.gz 100% |=========================| 394 kB 00:02
update : ################################################## 155/155
Added 155 new packages, deleted 0 old in 40.77 seconds
filelists.xml.gz 100% |=========================| 1.5 MB 00:10
base : ################################################## 1417/1417
Added 1417 new packages, deleted 0 old in 137.25 seconds
filelists.xml.gz 100% |=========================| 150 B 00:00
Added 0 new packages, deleted 0 old in 0.13 seconds
filelists.xml.gz 100% |=========================| 819 B 00:00
extras : ################################################## 4/4
Added 4 new packages, deleted 0 old in 0.14 seconds


audit-libs-devel.alpha 1.0.3-6.EL4 base
Matched from:
audit-libs-devel = 1.0.3-6.EL4


audit-libs.alpha 1.0.3-6.EL4 base
Matched from:
audit-libs = 1.0.3-6.EL4


audit-libs-devel.alpha 1.0.3-6.EL4 installed
Matched from:
audit-libs-devel


audit-libs.alpha 1.0.3-6.EL4 installed
Matched from:
audit-libs

Post Reply

Return to “CentOS 4 - Security Support”